Skip to content

Xếp hạng nhà sáng tạo - Nhà sáng tạo TMĐT hàng đầu

Giới thiệu

Lấy xếp hạng các nhà sáng tạo TMĐT hàng đầu

  • Hỗ trợ tham số bộ lọc
  • Hỗ trợ sắp xếp kết quả tùy chỉnh

Endpoint API

bash
    POST /creator/v1/rank/topEcommerce

Phần thân yêu cầu

TrườngKiểuBắt buộcMô tả
filterobjectKhôngTham số lọc
orderbyobjectKhôngTham số sắp xếp
pageintegerKhôngSố trang, mặc định: 1
pagesizeintegerKhôngSố mục mỗi trang, mặc định: 10

page * pagesize <= 1000

pagesize khoảng [1, 100]

Giá trị tùy chọn của filter

TrườngKiểuBắt buộcMô tả
regionstringKhôngQuốc gia/Khu vực
creator_category_idintegerKhôngDanh mục nhà sáng tạo
product_category_idintegerKhôngDanh mục sản phẩm
account_typeintegerKhôngLoại nhà sáng tạo 1:cá nhân 2:cửa hàng
ecommerce_typeintegerKhông1:Video 2:Trực tiếp
date_infoobjectThông tin ngày

khoảng region: ['US','GB','MX','ES','DE','IT','FR','PT','NL','BE','AT','PL','ID','VN','MY','TH','PH','BR','JP','SG']

Giá trị tùy chọn của orderby

TrườngBắt buộcMô tả
creator_usd_gmvKhôngTổng GMV (USD) (giảm dần)
video_usd_gmvKhôngGMV video (USD) (giảm dần)
live_usd_gmvKhôngGMV phát trực tiếp (USD) (giảm dần)

Khi ecommerce_type trống, mặc định là giảm dần theo creator_usd_gmv. Khi ecommerce_type=1, mặc định là giảm dần theo video_usd_gmv. Khi ecommerce_type=2, mặc định là giảm dần theo live_usd_gmv. Trong các trường hợp khác, orderby không hợp lệ.

Ví dụ yêu cầu

bash
curl 'https://openapi.fastmoss.com/creator/v1/rank/topEcommerce' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "product_category": 1,
        "date_info": {
            "type": "day",
            "value": "2023-02-01"
        },
        # "date_info": {
        #     "type": "week",
        #     "value": "2023-18"
        # },
        # "date_info": {
        #     "type": "month",
        #     "value": "2023-02"
        # }
    },
     "orderby": [
      {
        "field": "total_gmv",
        "order": "desc",
      }
    ],
    "page": 1,
    "pagesize": 10
}'

Phần thân phản hồi

data.total

  • Kiểu: integer
  • Mô tả: Tổng số kết quả

data.list

TrườngKiểuMô tả
uidstringID nhà sáng tạo
follower_countintegerSố người theo dõi của nhà sáng tạo
product_countintegerSố sản phẩm đã bán
creator_gmvfloatTổng GMV của nhà sáng tạo
creator_usd_gmvfloatTổng GMV của nhà sáng tạo (USD)
video_countintegerSố video
video_gmvfloatTổng GMV của video
video_usd_gmvfloatTổng GMV của video (USD)
live_countintegerSố lượt phát trực tiếp
live_gmvfloatTổng GMV phát trực tiếp
live_usd_gmvfloatTổng GMV phát trực tiếp (USD)

data.list.creator

TrườngKiểuMô tả
uidstringID nhà sáng tạo
unique_idstringID duy nhất của nhà sáng tạo
nicknamestringBiệt danh
avatarstringURL ảnh đại diện nhà sáng tạo
regionstringQuốc gia/Khu vực
categoryobjectDanh mục nhà sáng tạo
follower_countintegerSố người theo dõi của nhà sáng tạo
video_countintegerSố video

Ví dụ phản hồi

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "creator": {
          "uid": "6795828506624754693",
          "nickname": "thebeautycrop",
          "unique_id": "thebeautycrop",
          "avatar": "https://s.500fd.com/tt_author/09c29664a10b2eeee9089b311a7cd8df~tplv-tiktokx-cropcenter:300:300.jpeg",
          "region": "GB",
          "category": {
            "id": 2,
            "name": "Shopping & Retail"
          },
          "follower_count": 238703,
          "video_count": 3123
        },
        "follower_count": 238703,
        "product_count": 96,
        "creator_gmv": 20310.4,
        "creator_usd_gmv": 25184.84,
        "video_count": 105,
        "video_gmv": 7632.68,
        "video_usd_gmv": 9464.46,
        "live_count": 11,
        "live_gmv": 12677.72,
        "live_usd_gmv": 15720.38,
        "uid": "6795828506624754693",
        "nickname": "thebeautycrop", //deprecated
        "unique_id": "thebeautycrop", //deprecated
        "avatar": "https://s.500fd.com/tt_author/09c29664a10b2eeee9089b311a7cd8df~tplv-tiktokx-cropcenter:300:300.jpeg", //deprecated
        "region": "GB", //deprecated
        "category": {
          "id": 2,
          "name": "Shopping & Retail"
        } //deprecated
      }
    ],
    "total": "256",
    "date_type": "week",
    "date_value": "2026-03"
  },
  "message": "",
  "timestamp": 1776165689,
  "request_id": "55dc7b93-227b-de9b-2a7e-6eb7f9259555"
}